Package org.jfree.layouting.input.style.keys.content

## Class ContentStyleKeys

- java.lang.Object
- - org.jfree.layouting.input.style.keys.content.ContentStyleKeys

-     public class ContentStyleKeys
      extends java.lang.Object

  http://www.w3.org/TR/css3-content/
  Author:
    Thomas Morgner

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static StyleKey` | `ALTERNATE_TEXT` | Alternate text for images or other non-displayable content.
    `static StyleKey` | `CONTENT` |
    `static StyleKey` | `COUNTER_INCREMENT` |
    `static StyleKey` | `COUNTER_RESET` |
    `static StyleKey` | `MOVE_TO` |
    `static StyleKey` | `QUOTES` |
    `static StyleKey` | `STRING_DEFINE` | Defines a new string context.
    `static StyleKey` | `STRING_SET` | string-set: <name> <value>

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MOVE_TO

          public static final StyleKey MOVE_TO

    - #### QUOTES

          public static final StyleKey QUOTES

    - #### COUNTER_INCREMENT

          public static final StyleKey COUNTER_INCREMENT

    - #### COUNTER_RESET

          public static final StyleKey COUNTER_RESET

    - #### STRING_SET

          public static final StyleKey STRING_SET

      string-set: <name> <value>

    - #### STRING_DEFINE

          public static final StyleKey STRING_DEFINE

      Defines a new string context. This is equal to the counter-reset property, and allows to apply the counter nesting rules to strings. This does *not* define the string content; so you have to add a string-set property as well.

      The string-def property is always evaulated before the string-set property gets processed. The format for this property is simple: -x-liblayout-string-def: <name>

    - #### ALTERNATE_TEXT

          public static final StyleKey ALTERNATE_TEXT

      Alternate text for images or other non-displayable content. This is not the same as the ::alternate pseudo-element that gets inserted if content had been moved away.

    - #### CONTENT

          public static final StyleKey CONTENT